> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-a804b3ad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# إنشاء نقطة نهاية خاصة عكسية

> **نقطة النهاية هذه في مرحلة Beta.** عقد واجهة برمجة التطبيقات مستقر، ولا يُتوقع حدوث تغييرات غير متوافقة في المستقبل. <br /><br /> أنشئ نقطة نهاية خاصة عكسية جديدة.



## OpenAPI

````yaml /ar/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints:
    post:
      tags:
        - ClickPipes
      summary: إنشاء نقطة نهاية خاصة عكسية
      description: >-
        **نقطة النهاية هذه في مرحلة Beta.** عقد واجهة برمجة التطبيقات مستقر، ولا
        يُتوقع حدوث تغييرات غير متوافقة في المستقبل. <br /><br /> أنشئ نقطة
        نهاية خاصة عكسية جديدة.
      parameters:
        - description: معرّف المؤسسة المالكة للخدمة.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: معرّف الخدمة المالكة لنقطة النهاية الخاصة العكسية.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateReversePrivateEndpoint'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: معرّف فريد يُخصَّص لكل طلب. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ReversePrivateEndpoint'
                  status:
                    description: رمز حالة HTTP.
                    example: 200
                    type: number
                type: object
          description: استجابة ناجحة
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: وصف تفصيلي للخطأ.
                    type: string
                  status:
                    description: رمز حالة HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            يتعذر على الخادم معالجة الطلب أو يرفض معالجته بسبب أمر يُعتبر خطأ من
            جهة العميل.
components:
  schemas:
    CreateReversePrivateEndpoint:
      properties:
        description:
          description: وصف نقطة النهاية الخاصة العكسية. الحد الأقصى للطول هو 255 حرفًا.
          example: My reverse private endpoint
          type: string
        mskAuthentication:
          description: نوع المصادقة لمجموعة MSK. مطلوب للنوع MSK_MULTI_VPC.
          enum:
            - SASL_IAM
            - SASL_SCRAM
          example: SASL_IAM
          nullable: true
          type: string
        mskClusterArn:
          description: ARN لمجموعة MSK. مطلوب للنوع MSK_MULTI_VPC.
          example: arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster
          nullable: true
          type: string
        type:
          description: نوع نقطة النهاية الخاصة العكسية.
          enum:
            - VPC_ENDPOINT_SERVICE
            - VPC_RESOURCE
            - MSK_MULTI_VPC
          example: VPC_ENDPOINT_SERVICE
          type: string
        vpcEndpointServiceName:
          description: اسم خدمة نقطة نهاية VPC.
          example: com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567
          nullable: true
          type: string
        vpcResourceConfigurationId:
          description: معرّف إعداد مورد VPC. مطلوب للنوع VPC_RESOURCE.
          example: rcfg-12345678901234567
          nullable: true
          type: string
        vpcResourceShareArn:
          description: ARN لمشاركة مورد VPC. مطلوب للنوع VPC_RESOURCE.
          example: >-
            arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567
          nullable: true
          type: string
    ReversePrivateEndpoint:
      properties:
        description:
          description: وصف نقطة النهاية الخاصة العكسية. الحد الأقصى للطول هو 255 حرفًا.
          example: My reverse private endpoint
          type: string
        dnsNames:
          description: أسماء DNS الداخلية لنقطة النهاية الخاصة العكسية.
          items:
            type: string
          type: array
        endpointId:
          description: معرّف نقطة النهاية لنقطة النهاية الخاصة العكسية.
          example: vpce-12345678901234567
          type: string
        id:
          description: معرّف نقطة النهاية الخاصة العكسية.
          example: 12345678-1234-1234-1234-123456789012
          format: uuid
          type: string
        mskAuthentication:
          description: نوع المصادقة لمجموعة MSK. مطلوب للنوع MSK_MULTI_VPC.
          enum:
            - SASL_IAM
            - SASL_SCRAM
          example: SASL_IAM
          nullable: true
          type: string
        mskClusterArn:
          description: ARN لمجموعة MSK. مطلوب للنوع MSK_MULTI_VPC.
          example: arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster
          nullable: true
          type: string
        privateDnsNames:
          description: أسماء DNS الخاصة لنقطة النهاية الخاصة العكسية.
          items:
            type: string
          type: array
        serviceId:
          description: معرّف خدمة ClickHouse المرتبطة بها نقطة النهاية الخاصة العكسية.
          example: 12345678-1234-1234-1234-123456789012
          format: uuid
          type: string
        status:
          description: حالة نقطة النهاية الخاصة العكسية.
          enum:
            - Unknown
            - Provisioning
            - Deleting
            - Ready
            - Failed
            - PendingAcceptance
            - Rejected
            - Expired
          example: Ready
          type: string
        type:
          description: نوع نقطة النهاية الخاصة العكسية.
          enum:
            - VPC_ENDPOINT_SERVICE
            - VPC_RESOURCE
            - MSK_MULTI_VPC
          example: VPC_ENDPOINT_SERVICE
          type: string
        vpcEndpointServiceName:
          description: اسم خدمة نقطة نهاية VPC.
          example: com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567
          nullable: true
          type: string
        vpcResourceConfigurationId:
          description: معرّف التكوين لمورد VPC. مطلوب للنوع VPC_RESOURCE.
          example: rcfg-12345678901234567
          nullable: true
          type: string
        vpcResourceShareArn:
          description: ARN لمشاركة مورد VPC. مطلوب للنوع VPC_RESOURCE.
          example: >-
            arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567
          nullable: true
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        استخدم معرّف المفتاح والسرّ الخاص به اللذين تم الحصول عليهما من
        ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````